package com.ruoyi.learn.domain;

import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 答卷答案对象 learn_answer
 * 
 * @author ruoyi
 * @date 2025-09-25
 */
public class LearnAnswer extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 答题id */
    private Long answerId;

    /** 答卷id */
    @Excel(name = "答卷id")
    private Long examineeId;

    /** 学生用户id加速 */
    @Excel(name = "学生用户id加速")
    private Long studentId;

    /** 题id */
    @Excel(name = "题id")
    private Long questionId;

    /** 题号 */
    @Excel(name = "题号")
    private Integer seq;

    /** 知识点 */
    @Excel(name = "知识点")
    private Long knowledgeId;

    /** 学生答案 */
    @Excel(name = "学生答案")
    private String answer;

    /** 批改答案 */
    @Excel(name = "批改答案")
    private String correct;

    /** 最长时间 */
    @Excel(name = "最长时间")
    private Long duration;

    /** 更新次数 */
    @Excel(name = "更新次数")
    private Long count;

    /** 状态 1 正确 */
    @Excel(name = "0 默认 1正确 2错误 3不会")
    private Integer state;

    /** 评级 */
    @Excel(name = "评级")
    private String scoreLevel;

    /** 评分 */
    @Excel(name = "评分")
    private Integer score;

    /** 得分率 */
    @Excel(name = "得分率")
    private Integer scoreRate;

    private Boolean isMark;
    private Boolean isNotKnow;

    public void setAnswerId(Long answerId) 
    {
        this.answerId = answerId;
    }

    public Long getAnswerId() 
    {
        return answerId;
    }

    public void setExamineeId(Long examineeId) 
    {
        this.examineeId = examineeId;
    }

    public Long getExamineeId() 
    {
        return examineeId;
    }

    public void setStudentId(Long studentId) 
    {
        this.studentId = studentId;
    }

    public Long getStudentId() 
    {
        return studentId;
    }

    public void setQuestionId(Long questionId) 
    {
        this.questionId = questionId;
    }

    public Long getQuestionId() 
    {
        return questionId;
    }

    public void setSeq(Integer seq)
    {
        this.seq = seq;
    }

    public Integer getSeq()
    {
        return seq;
    }

    public void setKnowledgeId(Long knowledgeId) 
    {
        this.knowledgeId = knowledgeId;
    }

    public Long getKnowledgeId() 
    {
        return knowledgeId;
    }

    public void setAnswer(String answer) 
    {
        this.answer = answer;
    }

    public String getAnswer() 
    {
        return answer;
    }

    public void setCorrect(String correct) 
    {
        this.correct = correct;
    }

    public String getCorrect() 
    {
        return correct;
    }

    public void setDuration(Long duration) 
    {
        this.duration = duration;
    }

    public Long getDuration() 
    {
        return duration;
    }

    public void setCount(Long count) 
    {
        this.count = count;
    }

    public Long getCount() 
    {
        return count;
    }

    public void setState(Integer state)
    {
        this.state = state;
    }

    public Integer getState()
    {
        return state;
    }

    public void setScoreLevel(String scoreLevel) 
    {
        this.scoreLevel = scoreLevel;
    }

    public String getScoreLevel() 
    {
        return scoreLevel;
    }

    public void setScore(Integer score)
    {
        this.score = score;
    }

    public Integer getScore()
    {
        return score;
    }

    public void setScoreRate(Integer scoreRate)
    {
        this.scoreRate = scoreRate;
    }

    public Integer getScoreRate()
    {
        return scoreRate;
    }

    public Boolean getMark() {
        return isMark;
    }

    public void setMark(Boolean mark) {
        isMark = mark;
    }

    public Boolean getNotKnow() {
        return isNotKnow;
    }

    public void setNotKnow(Boolean notKnow) {
        isNotKnow = notKnow;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("answerId", getAnswerId())
            .append("examineeId", getExamineeId())
            .append("studentId", getStudentId())
            .append("questionId", getQuestionId())
            .append("seq", getSeq())
            .append("knowledgeId", getKnowledgeId())
            .append("answer", getAnswer())
            .append("correct", getCorrect())
            .append("duration", getDuration())
            .append("count", getCount())
            .append("state", getState())
            .append("scoreLevel", getScoreLevel())
            .append("score", getScore())
            .append("scoreRate", getScoreRate())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
